# $Revision: 1.73 $, $Date: 2012/04/17 20:58:40 $
Summary:	Disc burning application for GNOME
Summary(pl.UTF-8):	Program do wypalania płyt dla GNOME
Name:		brasero
Version:	3.4.1
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/brasero/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	2eed4821826cc5121e430a43a2e78112
URL:		http://www.gnome.org/projects/brasero/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.30.0
BuildRequires:	glibc-misc
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-doc-utils
BuildRequires:	gobject-introspection-devel >= 0.6.3
BuildRequires:	gstreamer-devel >= 0.10.15
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtk-doc >= 1.12
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libburn-devel >= 0.4.0
BuildRequires:	libcanberra-devel
BuildRequires:	libcanberra-gtk3-devel
BuildRequires:	libisofs-devel >= 0.6.4
BuildRequires:	libnotify-devel >= 0.6.1
BuildRequires:	libtool >= 2.2
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	nautilus-devel >= 3.0.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	totem-pl-parser-devel >= 2.30.0
BuildRequires:	tracker-devel >= 0.14.0
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	shared-mime-info
Requires:	%{name}-libs = %{version}-%{release}
Requires:	hicolor-icon-theme
Suggests:	cdda2wav
Suggests:	cdrdao
Suggests:	cdrecord
Suggests:	cdrecord-readcd
Suggests:	dvd+rw-tools
Suggests:	dvdauthor
Suggests:	gstreamer-audio-effects-base
Suggests:	gstreamer-audio-effects-good
Suggests:	mkisofs
Suggests:	vcdimager
Obsoletes:	bonfire
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Brasero is a CD/DVD mastering tool for the GNOME desktop. It is
designed to be simple and easy to use.

%description -l pl.UTF-8
Brasero jest narzędziem do masteringu płyt CD/DVD dla biurka GNOME.
Jest zaprojektowany by być prostym i łatwym w obsłudze.

%package libs
Summary:	Brasero library
Summary(pl.UTF-8):	Biblioteka Brasero
Group:		X11/Libraries

%description libs
Brasero library.

%description libs -l pl.UTF-8
Biblioteka Brasero.

%package devel
Summary:	Header files for Brasero library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Brasero
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.30.0
Requires:	gtk+3-devel >= 3.0.0

%description devel
Header files for Brasero library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Brasero.

%package apidocs
Summary:	Brasero library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki Brasero
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Brasero library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Brasero.

%package -n nautilus-extension-brasero
Summary:	Brasero extension for Nautilus
Summary(pl.UTF-8):	Rozszerzenie Brasero dla Nautilusa
Group:		X11/Applications
Requires(post,postun):	desktop-file-utils
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus >= 3.0.0

%description -n nautilus-extension-brasero
Adds Brasero integration to Nautilus.

%description -n nautilus-extension-brasero -l pl.UTF-8
Dodaje integrację Brasero z Nautilusem.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--disable-caches \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/brasero3/plugins/lib*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/*.la

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_mime_database
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_desktop_database_postun
%glib_compile_schemas
%update_mime_database
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post -n nautilus-extension-brasero
%update_desktop_database_post

%postun -n nautilus-extension-brasero
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/brasero
%{_datadir}/%{name}
%{_datadir}/mime/packages/%{name}.xml
%dir %{_libdir}/brasero3
%dir %{_libdir}/brasero3/plugins
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-audio2cue.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-burn-uri.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-cdda2wav.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-cdrdao.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-cdrecord.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-checksum-file.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-checksum.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-dvdauthor.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-dvdcss.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-dvdrwformat.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-genisoimage.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-growisofs.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-libburn.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-libisofs.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-local-track.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-mkisofs.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-normalize.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-readcd.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-readom.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-transcode.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-vcdimager.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-vob.so
%attr(755,root,root) %{_libdir}/brasero3/plugins/libbrasero-wodim.so
%{_datadir}/GConf/gsettings/brasero.convert
%{_datadir}/glib-2.0/schemas/org.gnome.brasero.gschema.xml
%{_desktopdir}/brasero.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_mandir}/man1/brasero.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbrasero-burn3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbrasero-burn3.so.1
%attr(755,root,root) %{_libdir}/libbrasero-media3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbrasero-media3.so.1
%attr(755,root,root) %{_libdir}/libbrasero-utils3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbrasero-utils3.so.1
%{_libdir}/girepository-1.0/BraseroBurn-%{version}.typelib
%{_libdir}/girepository-1.0/BraseroMedia-%{version}.typelib


%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbrasero-burn3.so
%attr(755,root,root) %{_libdir}/libbrasero-media3.so
%attr(755,root,root) %{_libdir}/libbrasero-utils3.so
%{_includedir}/brasero3
%{_pkgconfigdir}/libbrasero-burn3.pc
%{_pkgconfigdir}/libbrasero-media3.pc
%{_datadir}/gir-1.0/BraseroBurn-%{version}.gir
%{_datadir}/gir-1.0/BraseroMedia-%{version}.gir

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libbrasero-burn
%{_gtkdocdir}/libbrasero-media

%files -n nautilus-extension-brasero
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libnautilus-brasero-extension.so
%{_desktopdir}/brasero-nautilus.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: brasero.spec,v $
Revision 1.73  2012/04/17 20:58:40  megabajt
- updated to 3.4.1

Revision 1.72  2012/03/28 20:51:45  kiesiu
- updated to 3.4.0

Revision 1.71  2011/09/29 16:29:51  megabajt
- updated to 3.2.0; merged changes from DEVEL

Revision 1.70.2.1  2011/09/21 21:10:05  megabajt
- updated to 3.1.92

Revision 1.70  2011/04/09 17:44:33  megabajt
- added more suggested packages (for plugins)
- release 2

Revision 1.69  2011/04/05 21:27:44  megabajt
- updated to 3.0.0; merged from DEVEL

Revision 1.67.2.3  2011/03/30 17:22:10  wiget
- up to 2.91.93

Revision 1.68  2011/03/26 12:23:53  qboosh
- en@shaw locale is now supported (via LANGUAGE)
- __rm macro WITHOUT -f, so it actually makes sense)

Revision 1.67.2.2  2011/03/10 21:54:21  wiget
- up to 2.91.91

Revision 1.67.2.1  2011/02/13 13:55:36  wiget
- updated to 2.91.6
- more verbose file list

Revision 1.67  2011/02/04 18:23:37  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.66  2010/12/09 19:46:10  megabajt
- use %glib_compile_schemas
- release 2

Revision 1.65  2010/11/15 20:41:38  atler
- up to 2.32.1

Revision 1.64  2010/11/15 12:28:35  atler
- add brasero-inhibit.patch from git
- rel 2

Revision 1.63  2010/10/01 21:06:09  megabajt
- updated to 2.32.0 (new soname)

Revision 1.62  2010/06/24 18:11:16  megabajt
- updated to 2.30.2

Revision 1.61  2010/06/04 12:28:02  patrys
- fix the rm
- drop unused static

Revision 1.60  2010/06/02 23:36:25  patrys
- die, libtool archives!
- rel 2

Revision 1.59  2010/04/27 16:17:43  megabajt
- updated to 2.30.1

Revision 1.58  2010/04/06 23:13:31  sparky
- BR: glibc-misc, libcanberra-devel, libcanberra-gtk-devel

Revision 1.57  2010/03/31 20:39:34  megabajt
- updated to 2.30.0; merged changes from DEVEL

Revision 1.55.2.2  2010/03/21 18:08:49  megabajt
- updated to 2.29.92

Revision 1.56  2010/03/04 12:10:32  hawk
- release 3

Revision 1.55.2.1  2010/03/02 11:22:09  patrys
- 2.29.91

Revision 1.55  2010/01/01 22:33:00  sparky
- BR capitalization

Revision 1.54  2009/12/28 21:35:25  megabajt
- S: gstreamer-audio-effects-base and gstreamer-audio-effects-good (required to burn audio cd)
- release 2

Revision 1.53  2009/12/22 09:27:07  uzsolt
- TODO: audio cd

Revision 1.52  2009/12/18 23:07:54  megabajt
- updated to 2.28.3

Revision 1.51  2009/11/12 11:56:37  patrys
- rebuild
- rel 2

Revision 1.50  2009/10/25 14:39:48  uzsolt
- 2.28.2

Revision 1.49  2009/10/06 19:25:00  megabajt
- updated to 2.28.1

Revision 1.48  2009/09/26 19:58:42  patrys
- merged from DEVEL

Revision 1.47.2.5  2009/09/26 19:58:18  patrys
- 2.28.0

Revision 1.47.2.4  2009/09/08 08:58:56  patrys
- 2.27.92

Revision 1.47.2.3  2009/08/26 11:45:49  patrys
- 2.27.91

Revision 1.47.2.2  2009/08/13 08:02:19  patrys
- actually commit the right version

Revision 1.47.2.1  2009/08/13 07:52:43  patrys
- 2.27.90

Revision 1.47  2009/07/01 14:51:41  megabajt
- updated to 2.26.3

Revision 1.46  2009/05/20 20:13:41  megabajt
- updated to 2.26.2

Revision 1.45  2009/04/14 17:50:04  megabajt
- updated to 2.26.1

Revision 1.44  2009/03/16 19:29:53  megabajt
- updated to 2.26.0; merged changes from DEVEL

Revision 1.43.2.2  2009/03/07 18:42:15  megabajt
- updated to 2.25.92

Revision 1.43.2.1  2009/02/21 19:06:21  megabajt
- updated to 2.25.91.2
- added -libs, -devel, -static and -apidocs subpackages

Revision 1.43  2008/12/15 10:16:27  patrys
- 0.8.4

Revision 1.42  2008/11/23 10:59:09  megabajt
- updated to 0.8.3

Revision 1.41  2008/10/14 09:45:50  hawk
- release 3

Revision 1.40  2008/10/08 20:48:18  arekm
- release 2

Revision 1.39  2008/09/14 20:56:40  megabajt
- updated to 0.8.2

Revision 1.38  2008/08/13 14:17:25  patrys
- 0.8.1

Revision 1.37  2008/07/15 22:04:36  megabajt
- reviewed deps

Revision 1.36  2008/07/14 14:19:37  patrys
- 0.8.0
- patch0 applied upstream (desktop)

Revision 1.35  2008-04-14 11:12:54  patrys
- rebuild with new libburn
- rel 3

Revision 1.34  2008-03-12 19:34:42  patrys
- rel 2
- rebuild with new gnome

Revision 1.33  2008-01-27 18:42:56  patrys
- 0.7.1
- use totem-pl-parser

Revision 1.32  2008-01-05 21:27:57  qboosh
- cleanup

Revision 1.31  2007-12-26 17:26:23  patrys
- BR: libburn & libisofs

Revision 1.30  2007-12-26 17:23:17  patrys
- 0.7.0

Revision 1.29  2007-11-03 23:11:26  ankry
- sr@Latn -> sr@latin, rel. 3

Revision 1.28  2007/09/19 13:49:25  megabajt
- %gconf_schema_uninstall moved to %preun
- release 2

Revision 1.27  2007/09/08 19:07:21  qboosh
- libburn+libisofs are ready now

Revision 1.26  2007/09/07 15:00:53  qboosh
- dropped bogus libselinux dep once again; RTFchangelog and fix your system

Revision 1.25  2007/09/07 13:47:18  ankry
- tabs

Revision 1.24  2007/09/07 12:50:34  emes
- added BR libselinux-devel, Suggests dvd+rw-tools (for growisofs)

Revision 1.23  2007/09/02 10:56:26  dzeus
- rel. 1, STBR

Revision 1.22  2007/08/30 22:52:52  patrys
- intltoolize works fine (my machine had broken macros)

Revision 1.21  2007/08/29 03:38:54  patrys
- patch for intltool

Revision 1.20  2007/08/26 10:51:33  qboosh
- updated BRs
- dropped libselinux dep (belongs to gnome-vfs2)
- License is GPL v2+

Revision 1.19  2007/08/26 09:23:29  dzeus
- up to 0.6.1, NFY (build failed)
- BR: libselinux-devel

Revision 1.18  2007/08/26 07:45:34  dzeus
- new homepage URL

Revision 1.17  2007/08/21 08:53:46  patrys
- 0.6.0

Revision 1.16  2007/05/01 07:46:29  rotom
- removed probable unnecessary BRs

Revision 1.15  2007/04/30 16:46:05  rotom
- up to 0.5.90
- BRs added

Revision 1.14  2007/03/04 19:50:13  qboosh
- unified pl

Revision 1.13  2007/02/26 00:28:58  patrys
- 0.5.2

Revision 1.12  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.10  2006/11/14 13:41:18  patrys
- up to 0.5.1

Revision 1.9  2006/09/11 07:14:47  qboosh
- R(post,postun): hicolor-icon-theme

Revision 1.8  2006/09/09 10:32:52  patrys
- bonfire is O:

Revision 1.7  2006/09/07 18:13:42  patrys
- up to 0.4.4
- project renamed to brasero

Revision 1.6.2.1  2006/09/07 18:07:57  patrys
- up to 0.4.90 (current unstable)

Revision 1.6  2006/07/12 19:11:04  patrys
- up to 0.4.0

Revision 1.5  2006/06/27 10:36:17  patrys
- up to 0.3.90

Revision 1.4  2006/05/27 08:50:17  qboosh
- merged ac/am/lt rebuild and beagle bcond (but on by default) from AC-branch
- BR: ac,am,lt

Revision 1.3  2006/05/22 21:50:17  qboosh
- added X11 to Group

Revision 1.2.2.3  2006/05/19 07:35:00  baggins
- release 3

Revision 1.2.2.2  2006/05/19 07:28:03  baggins
- ac/am/lt rebuild for amd64

Revision 1.2.2.1  2006/05/19 07:24:05  baggins
- rel 2
- beagle bcond
- fixed reqs

Revision 1.2  2006/05/18 17:20:54  freetz
- 0.3.1, dropped include patch (fixed upstream)

Revision 1.1  2006/05/16 20:46:32  freetz
- disc burning for gnomers
